package com.ynet.life.mvc;

import com.google.gson.JsonParser;
import com.ynet.gene.core.Context;
import com.ynet.life.base.TEntity;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.dom4j.Node;

/* loaded from: com_ynet_life_mvc.jar:com/ynet/life/mvc/MVCDataParseUtil.class */
public class MVCDataParseUtil {
    /* JADX WARN: Type inference failed for: r0v12, types: [java.lang.String, java.lang.Exception] */
    public static String getJsonCdValueByKey(String json, String key) {
        String reValue;
        ?? replace;
        try {
            if (json.indexOf("jsonFlickrFeed") != -1) {
                int beginPos = json.indexOf("(");
                int endPos = json.lastIndexOf(")");
                json = json.substring(beginPos + 1, endPos);
            }
            replace = new JsonParser().parse(json).getAsJsonObject().get(TEntity.json_cd).getAsJsonObject().get(key).toString().replace("\"", "");
            reValue = replace;
        } catch (Exception e) {
            replace.printStackTrace();
            reValue = "";
        }
        return reValue;
    }

    /* JADX WARN: Type inference failed for: r0v10, types: [java.lang.String, java.lang.Exception] */
    public static String getJsonEcValue(String json) {
        String reValue;
        ?? replace;
        try {
            if (json.indexOf("jsonFlickrFeed") != -1) {
                int beginPos = json.indexOf("(");
                int endPos = json.lastIndexOf(")");
                json = json.substring(beginPos + 1, endPos);
            }
            replace = new JsonParser().parse(json).getAsJsonObject().get(TEntity.json_ec).toString().replace("\"", "");
            reValue = replace;
        } catch (Exception e) {
            replace.printStackTrace();
            reValue = "";
        }
        return reValue;
    }

    public static Map<String, String> readStringXmlOut(String xml) throws DocumentException {
        Map<String, String> map = new HashMap<>();
        Iterator iters = DocumentHelper.parseText(xml).getRootElement().elementIterator("cd");
        while (iters.hasNext()) {
            Element itemEle = (Element) iters.next();
            int count = itemEle.nodeCount();
            if (count > 0) {
                int length = count;
                if (count > 1) {
                    length = count - 1;
                }
                for (int i = 0; i < length; i++) {
                    Node node = itemEle.node(i);
                    String key = node.getName();
                    String value = node.getStringValue();
                    map.put(key, value);
                }
            }
        }
        return map;
    }

    public static void setValueFromMVC(HttpServletRequest request, Context context) {
        String obj;
        for (Map.Entry entry : request.getParameterMap().entrySet()) {
            String key = entry.getKey().toString();
            if (!TEntity.PB_REQUEST_FILTER.contains(key)) {
                String value = "";
                Object valueObj = entry.getValue();
                if (valueObj == null) {
                    obj = "";
                } else if (valueObj instanceof String[]) {
                    String[] values = (String[]) valueObj;
                    for (String str : values) {
                        value = String.valueOf(value) + str + ",";
                    }
                    obj = value.substring(0, value.length() - 1);
                } else {
                    obj = valueObj.toString();
                }
                String value2 = obj;
                context.put(key, value2);
            }
        }
    }

    public static void setValueFromMVC2Map(HttpServletRequest request, Context context) {
        String obj;
        Map map = request.getParameterMap();
        Map<String, String> paras = new HashMap<>();
        for (Map.Entry entry : map.entrySet()) {
            String key = entry.getKey().toString();
            String value = "";
            if (key.indexOf("[]") != -1) {
                key = key.substring(0, key.length() - 2);
            }
            if (!TEntity.PB_REQUEST_FILTER.contains(key)) {
                Object valueObj = entry.getValue();
                if (valueObj == null) {
                    obj = "";
                } else if (valueObj instanceof String[]) {
                    String[] values = (String[]) valueObj;
                    for (String str : values) {
                        value = String.valueOf(value) + str + ",";
                    }
                    obj = value.substring(0, value.length() - 1);
                } else {
                    obj = valueObj.toString();
                }
                String value2 = obj;
                paras.put(key, value2);
            }
        }
        context.put(TEntity.PARA_REQ_MAP, paras);
    }

    public static Map getPostParamsMap(HttpServletRequest request) {
        String obj;
        Map map = request.getParameterMap();
        Map paramsMap = new HashMap();
        for (Map.Entry entry : map.entrySet()) {
            String key = entry.getKey().toString();
            String value = "";
            Object valueObj = entry.getValue();
            if (key.indexOf("[]") != -1) {
                key = key.substring(0, key.length() - 2);
            }
            if (valueObj == null) {
                obj = "";
            } else if (valueObj instanceof String[]) {
                String[] values = (String[]) valueObj;
                for (String str : values) {
                    value = String.valueOf(value) + str + ",";
                }
                obj = value.substring(0, value.length() - 1);
            } else {
                obj = valueObj.toString();
            }
            String value2 = obj;
            paramsMap.put(key, value2);
        }
        return paramsMap;
    }

    public static void main(String[] args) {
        new MVCDataParseUtil();
        getJsonCdValueByKey("jsonFlickrFeed({\"ec\":\"0\",\"em\":\"成功\",\"cd\":{\"prid \": \"AC00000000\",\"customerId\":\"100000000\",\"hostCustNo\":\"111000000\",\"customerType \":\"01\",\"mobileNo\":\"1319892832\",\"customerStt\":\"0\",\"customerSafeStyle \":\"01\",\"customerLevel\":\"0\",\"customerStyle\":\"01\",\"customerIconPath\":\"01\",\"prQuesReset\":\"0\",\"passReset\":\"0\",\"customerName\":\"张三\",\"customerAlias\":\"淘小二\"}})", "customerId");
        DocumentException documentException = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?><root><rncode>0</rncode><remark >成功</remark><cd><prid>AC00000000</prid> <customerId>100000000</customerId> <hostCustNo>111000000</hostCustNo><customerType>01</customerType> <mobileNo>1319892832</mobileNo> <customerStt>0</customerStt> <customerSafeStyle>01</customerSafeStyle> <customerLevel>0</customerLevel> <customerStyle></customerStyle><customerIconPath></customerIconPath><prQuesReset>0</prQuesReset><passReset>0</passReset> <customerName>张三</customerName><customerAlias>淘小二</customerAlias> </cd></root>";
        try {
            documentException = readStringXmlOut("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><root><rncode>0</rncode><remark >成功</remark><cd><prid>AC00000000</prid> <customerId>100000000</customerId> <hostCustNo>111000000</hostCustNo><customerType>01</customerType> <mobileNo>1319892832</mobileNo> <customerStt>0</customerStt> <customerSafeStyle>01</customerSafeStyle> <customerLevel>0</customerLevel> <customerStyle></customerStyle><customerIconPath></customerIconPath><prQuesReset>0</prQuesReset><passReset>0</passReset> <customerName>张三</customerName><customerAlias>淘小二</customerAlias> </cd></root>");
        } catch (DocumentException e) {
            documentException.printStackTrace();
        }
    }
}
